Retrieve a seller payout batch
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"payout_batch": {
"batch_number": "<string>",
"credit_adjustments": 123,
"debit_adjustments": 123,
"id": "<string>",
"include_shipping_in_payout": true,
"include_tax_in_payout": true,
"initiated_by": "system",
"initiated_by_user_id": "<string>",
"invoice_count": 123,
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"remarks": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"seller_id": "<string>",
"seller_name": "<string>",
"status": "pending",
"to_be_paid": 123,
"total_charges": 123,
"total_invoice_amount": 123,
"adjustments": [
{
"adjustment_type": "credit",
"amount": 123,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"payout_batch_id": "<string>",
"reference_field": "<string>",
"reference_id": "<string>",
"reference_type": "<string>",
"seller_id": "<string>",
"seller_name": "<string>",
"status": "pending",
"tax_amount": 123
}
],
"invoices": [
{
"batch_assigned_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"invoice_date": "2023-11-07T05:31:56Z",
"invoice_id": 123,
"invoice_number": "<string>",
"invoice_amount": "<string>",
"marketplace_charges": 123,
"marketplace_charges_tax_amount": 123,
"modified_at": "2023-11-07T05:31:56Z",
"order_id": 123,
"order_number": "<string>",
"payout_batch_id": 123,
"payout_eligible_at": "2023-12-25",
"seller_id": "<string>",
"seller_name": "<string>",
"shipment_id": 123,
"shipment_reference_no": "<string>",
"status": "pending"
}
]
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {
"fieldname": [
"<string>"
]
}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Payouts
Retrieve a seller payout batch
Retrieves a single payout batch. Returns a SellerPayoutBatchDetail object: the batch totals plus the full SellerPayoutInvoice list it settles and any SellerPayoutAdjustment records applied to it.
GET
/
orders
/
payouts
/
invoices
/
batches
/
{id}
Retrieve a seller payout batch
Was this page helpful?
⌘I